xcmsFragments-class {xcms} | R Documentation

## Class xcmsFragments, a class for handling Tandem MS and MS$^n$ data

### Description

This class is similar to `xcmsSet` because it stores peaks from a number of individual files. However, xcmsFragments keeps Tandem MS and e.g. Ion Trap or Orbitrap MS$^n$ peaks, including the parent ion relationships.

### Objects from the Class

Objects can be created with the `xcmsFragments` constructor and filled with peaks using the collect method.

### Slots

`peaks`:
  matrix with colmns peakID (MS1 parent in corresponding xcmsSet), MSnParentPeakID (parent peak within this xcmsFragments), msLevel (e.g. 2 for Tandem MS), rt (retention time in case of LC data), mz (fragment mass-to-charge), intensity (peak intensity as reported by XXX), sample (The ID of the rawData-file).

### Methods

collect
  `signature(object = "xcmsFragments")`: gets a xcmsSet-object, collects ms1-peaks from it and the msn-peaks from the corresponding xcmsRaw-files.
plotTree
  `signature(object = "xcmsFragments")`: prints a (text based) pseudo-tree of the peaktable to display the dependencies of the peaks among each other.
show
  `signature(object = "xcmsFragments")`: print a human-readable description of this object to the console.

### Note

No notes yet.

### Author(s)

S. Neumann, J. Kutzera

### References

A parallel effort in metabolite profiling data sharing: http://metlin.scripps.edu/

### See Also

`xcmsRaw`

[Package xcms version 1.16.3 Index]